Package picard.illumina.parser

# Enum Class ReadType

java.lang.Object
java.lang.Enum<ReadType>
picard.illumina.parser.ReadType

All Implemented Interfaces:
  `Serializable`, `Comparable<ReadType>`, `Constable`

public enum ReadType extends Enum<ReadType>
A read type describes a stretch of cycles in an ReadStructure (e.g. Assume we have a paired end/barcoded run with the 76 template cycles followed by 8 barcode cycles followed by another 76 template reads, the run would be represented by the ReadStructure 76T8B76T) Note: Currently SKIP is unused by IlluminaBasecallsToSam, ExtractIlluminaBarcodes, and IlluminaDataProvider

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`B`
`M`
`S`
`T`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ReadType`
`Barcode`
`static final ReadType`
`MolecularIndex`
`static final ReadType`
`Skip`
`static final ReadType`
`Template`

## Method Summary

Modifier and Type
Method
Description
`static ReadType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReadType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### T

public static final ReadType T

### B

public static final ReadType B

### M

public static final ReadType M

### S

public static final ReadType S

## Field Details

### Template

public static final ReadType Template

### Barcode

public static final ReadType Barcode

### MolecularIndex

public static final ReadType MolecularIndex

### Skip

public static final ReadType Skip

## Method Details

### values

public static ReadType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReadType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null